Subject: bug#68227: 29.1; [tramp] adb stopped working (after upgrade from Emacs 28 to 29?)

From: Michael Albinus <[email-masked]>
Date: Thu, 18 Jan 2024 08:46:03 +0100

Maxim Cournoyer <[email-masked]> writes:

> Hi Michael,

Hi Maxim,

> I'm a bit puzzled; as I've now re-rooted the phone and I get the same
> result, although I can now do:
>
> $ adb shell
> shell@htc_alpine_dugl:/ $ cd /data/local/tmp
> shell@htc_alpine_dugl:/data/local/tmp $
>
> It's also possible to 'touch' a file there and delete it afterward.
>
> Any other ideas?

Please run

--8<---------------cut here---------------start------------->8---
emacs -Q -l tramp -f tramp-cleanup-all-connections \
      --eval '(setq tramp-verbose 10)' /adb::
--8<---------------cut here---------------end--------------->8---

There will be a Tramp debug buffer, which you show. If it is too large,
send it to me directly.

Best regards, Michael.